<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<style>
    .circulo1{
        width: 50px;
        height: 50px;
        /*border: 1px #000000 solid;*/
        /*border-radius: 50%;*/
        text-align: center;
        background: url("cb.png");
        margin-top: 40px;
        position: absolute;
    }

    .circulo2{
        width: 50px;
        height: 50px;
        background: black;
        border-radius: 50%;
    }

    .content{
        width: 1600px;
        height: 408px;
        border: black 1px solid;
        background: url("bg.jpeg");
    }
</style>
<div class="content"></div>



<script>

var content = document.querySelector(".content")

function getRandomInt(min, max) {
  min = Math.ceil(min);
  max = Math.floor(max);
  return Math.floor(Math.random() * (max - min + 1)) + min;
}

const randomNumber = getRandomInt(1, 3);
function crearCompetidor(i){
    const dis = new Map();
    dis.set(1, "40px")
    dis.set(2, "90px")
    dis.set(3, "180px")
    var competidorDiv = document.createElement("div");
    competidorDiv.setAttribute("class", "circulo1");
    competidorDiv.dataset.velocidad = Math.random() * 10;
    content.appendChild(competidorDiv)
    var competidorImg = document.createElement("img");
    competidorImg.setAttribute("src", "cb.gif");
    competidorImg.setAttribute("width", "30px");
    competidorDiv.dataset.top = dis.get(getRandomInt(1, 3))
    competidorDiv.appendChild(competidorImg)
    // competidorDiv.innerHTML = i
}


setInterval(function(){
 crearCompetidor(1);
}, 1000)

intervalo = "";
function start(){


    cont = 0;
intervalo = setInterval(function (){

    cont = cont + 1;
    var elementos = document.querySelectorAll(".circulo1");
    elementos.forEach(function (elemento){
        elemento.style.marginLeft = (cont * elemento.dataset.velocidad)+"px"
        elemento.style.marginTop = elemento.dataset.top
    })

}, 100);

}

document.addEventListener("keyup", function (evt){

    console.log(evt.key)
    if(evt.key === "a"){
        start()
    }
    if(evt.key === "s"){
        clearInterval(intervalo)
    }
})


</script>



</body>
</html>